Package org.eclipse.emf.compare.rcp.ui.mergeviewer

# Enum Class IMergeViewer.MergeViewerSide

java.lang.Object
java.lang.Enum<IMergeViewer.MergeViewerSide>
org.eclipse.emf.compare.rcp.ui.mergeviewer.IMergeViewer.MergeViewerSide

All Implemented Interfaces:
  `Serializable`, `Comparable<IMergeViewer.MergeViewerSide>`, `java.lang.constant.Constable`

Enclosing interface:
  `IMergeViewer`

public static enum IMergeViewer.MergeViewerSide extends Enum<IMergeViewer.MergeViewerSide>
An enum that represents the side of the viewer and provides utilty methods to manage sides.

Since:
  4.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANCESTOR`
`LEFT`
Values: left side, right side, ancestor side.
`RIGHT`

## Method Summary

Modifier and Type
Method
Description
`DifferenceSource`
`convertToDifferenceSource()`
Converts this side to DifferenceSource.
`static IMergeViewer.MergeViewerSide`
`getValueFrom(DifferenceSource source)`
Get the side value from the given `DifferenceSource`.
`IMergeViewer.MergeViewerSide`
`opposite()`
Get the opposite side of this side.
`static IMergeViewer.MergeViewerSide`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IMergeViewer.MergeViewerSide[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEFT

public static final IMergeViewer.MergeViewerSide LEFT
Values: left side, right side, ancestor side.

### RIGHT

public static final IMergeViewer.MergeViewerSide RIGHT

### ANCESTOR

public static final IMergeViewer.MergeViewerSide ANCESTOR

## Method Details

### values

public static IMergeViewer.MergeViewerSide[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IMergeViewer.MergeViewerSide valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### opposite

public IMergeViewer.MergeViewerSide opposite()
Get the opposite side of this side.

Returns:
  the opposite side of this side.

### getValueFrom

public static IMergeViewer.MergeViewerSide getValueFrom(DifferenceSource source)
Get the side value from the given `DifferenceSource`.

Parameters:
  `source` - the given DifferenceSource.
Returns:
  the side value from the given DifferenceSource.

### convertToDifferenceSource

public DifferenceSource convertToDifferenceSource()
Converts this side to DifferenceSource.

Returns:
  the DifferenceSource equivalent to this side.